Name:		cuneiform-qt
Version:	0.1.4
Release:	%mkrel 1
Summary:	GUI frontend for Cuneiform OCR
License:	GPLv3+
Group:		Office/Utilities
URL:		https://github.com/sibskull/cuneiform-qt
Source0:	https://github.com/sibskull/cuneiform-qt/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.1.2-mga-html-uft8.patch
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	cuneiform-linux
Requires:	qttranslations5

%description
This application is a GUI frontend for Cuneiform (OCR system originally
developed and open sourced by Cognitive Technologies). It allows opening
a scanned image, view in a preview pane, recognize text via Cuneiform
and save the result in an HTML file.

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc AUTHORS README.md TODO.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Jan 05 2023 daviddavid <daviddavid> 0.1.4-1.mga9
+ Revision: 1930004
- new version: 0.1.4

* Sun Apr 03 2022 umeabot <umeabot> 0.1.3-5.mga9
+ Revision: 1842027
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.1.3-4.mga8
+ Revision: 1658297
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.3-3.mga8
+ Revision: 1524435
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 0.1.3-2.mga7
+ Revision: 1381488
- Qt5 Rebuild

* Sun Feb 03 2019 alexl <alexl> 0.1.3-1.mga7
+ Revision: 1362993
- version 0.1.3
- del upstreamed patches and rediff not-upstreamed
- update url

* Fri Feb 01 2019 alexl <alexl> 0.1.2-6.mga7
+ Revision: 1362181
- less buildrequires

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-5.mga7
+ Revision: 1297351
- Mageia 7 Mass Rebuild

* Sat Mar 24 2018 kekepower <kekepower> 0.1.2-4.mga7
+ Revision: 1211919
- Use new make macros

* Tue Feb 09 2016 umeabot <umeabot> 0.1.2-3.mga6
+ Revision: 952265
- Mageia 6 Mass Rebuild

* Fri Feb 06 2015 alexl <alexl> 0.1.2-2.mga5
+ Revision: 813659
- fix usage system qt translations (qttranslations.patch)
- don't close internal windows "Source Image", "Recognized text" (dockwidget-not-closable.patch)
- go to qt5 (qt5.patch)

* Sun Feb 01 2015 alexl <alexl> 0.1.2-1.mga5
+ Revision: 812944
- imported package cuneiform-qt

